wxWidgets: wxGUIEventLoop Class Reference

| Version: 3.1.7

Loading...
Searching...
No Matches
Public Member Functions | List of all members
wxGUIEventLoop Class Reference
Class List by Category » Application and Process Management

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.1/wxWidgets3.1-3.1.7-1.x86_64/src/wxWidgets-3.1.7/interface/wx/evtloop.h>`

Inheritance diagram for wxGUIEventLoop:
[legend]

## Detailed Description

A generic implementation of the GUI event loop.

##

Library: wxBase
Category: Application and Process Management

## Public Member Functions
| wxGUIEventLoop ()
virtual | ~wxGUIEventLoop ()
Public Member Functions inherited from wxEventLoopBase
bool | IsMain () const
| Returns true if this is the main loop executed by wxApp::OnRun().
virtual int | Run ()=0
| Start the event loop, return the exit code when it is finished.
bool | IsRunning () const
| Return true if this event loop is currently running.
virtual bool | IsOk () const
| Use this to check whether the event loop was successfully created before using it.
virtual void | Exit (int rc=0)
| Exit the currently running loop with the given exit code.
virtual void | ScheduleExit (int rc=0)=0
| Schedule an exit from the loop with the given exit code.
virtual bool | Pending () const =0
| Return true if any events are available.
virtual bool | Dispatch ()=0
| Dispatches the next event in the windowing system event queue.
virtual int | DispatchTimeout (unsigned long timeout)=0
| Dispatch an event but not wait longer than the specified timeout for it.
virtual void | WakeUp ()=0
| Called by wxWidgets to wake up the event loop even if it is currently blocked inside Dispatch().
void | WakeUpIdle ()
| Makes sure that idle events are sent again.
virtual bool | ProcessIdle ()
| This virtual function is called when the application becomes idle and normally just sends wxIdleEvent to all interested parties.
virtual bool | IsYielding () const
| Returns true if called from inside Yield() or from inside YieldFor().
bool | Yield (bool onlyIfNeeded=false)
| Yields control to pending messages in the windowing system.
bool | YieldFor (long eventsToProcess)
| Works like Yield() with onlyIfNeeded == true, except that it allows the caller to specify a mask of the wxEventCategory values which indicates which events should be processed and which should instead be "delayed" (i.e.
virtual bool | IsEventAllowedInsideYield (wxEventCategory cat) const
| Returns true if the given event category is allowed inside a YieldFor() call (i.e.

## Additional Inherited Members
Static Public Member Functions inherited from wxEventLoopBase
static wxEventLoopBase * | GetActive ()
| Return the currently active (running) event loop.
static void | SetActive (wxEventLoopBase *loop)
| Set currently active (running) event loop.
virtual void | OnExit ()
| This function is called before the event loop terminates, whether this happens normally (because of Exit() call) or abnormally (because of an exception thrown from inside the loop).

## Constructor & Destructor Documentation

## ◆ wxGUIEventLoop()

wxGUIEventLoop::wxGUIEventLoop | ( |  | ) |

## ◆ ~wxGUIEventLoop()

virtual wxGUIEventLoop::~wxGUIEventLoop | ( |  | ) |
| virtual